Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154247 - Don't split system-config-kickstart messages
Summary: Don't split system-config-kickstart messages
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 18:14 UTC by Christian Rose
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-11 14:26:15 UTC


Attachments (Terms of Use)

Description Christian Rose 2005-04-08 18:14:31 UTC
#: ../src/packageGroupList.py:16
msgid "/comps.xml file."

#: ../src/packageGroupList.py:16
msgid "Could not start because there is no /usr/share/comps/"


Please do NOT split sentences in several translatable messages like this.
Sentences can only be properly translated when they're complete sentences.
Please see
http://developer.gnome.org/doc/tutorials/gnome-i18n/developer.html#split-sentences
for more information about this problem.

In addition, please never hard code file names and/or file paths into
translateable messages. Then each and every translation will also have to be
updated should the file name or file path have to be changed later, and that's
surely not good design. Use a *printf-style approach instead, and use %s for the
file name, so that the translateable message will be:

"Could not start because there is no %s file."

or, alternatively,

"Could not start because there is no '%s' file."


Note You need to log in before you can comment on or make changes to this bug.